Subject: bug#17210: 24.3.50; help mode [back] link to a C-h b keybind listing fails with message "Current buffer is not in Help mode"

From: martin rudalics <[email-masked]>
Date: Tue, 08 Apr 2014 19:01:22 +0200

>> My first conclusion was wrong.  "back" gets me the right buffer but it
 >> gives me different contents.
 >
 > That is a different problem, and AFAIK it is not new: try the same in
 > Emacs from before your pixelwise resize changes, and I think you will
 > see the same behavior.

I know.

 > I think it simply describes bindings in another buffer (*Help* instead
 > of *scratch*).

That's what I thought.  But the same buffer (e.g. *scratch*) is passed
to `describe-buffer-bindings' in both cases.  I'm sure that following
the links forward and backward is responsible but why has that such
drastic consequences?

martin